Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IReportElementInstance

All Known Subinterfaces:
  IAbstractTextInstance, IAutoTextInstance, ICellInstance, IDataItemInstance, IDynamicTextInstance, IGridInstance, IImageInstance, ILabelInstance, IListInstance, IReportItemInstance, IRowInstance, ITableInstance, ITextItemInstance

    public interface IReportElementInstance

Method Summary
`java.lang.String` | `getHeight()` Get the height of the element
`java.lang.String` | `getHorizontalPosition()` Get the horizontal position
`java.lang.Object` | `getNamedExpressionValue(java.lang.String name)` Get the value of a named expression
`IReportElementInstance` | `getParent()` Get the parent (container) of this element
`IRowData` | `getRowData()` Get the row data used to create the instance.
`IScriptStyle` | `getStyle()` Get the style of this element
`java.lang.Object` | `getUserPropertyValue(java.lang.String name)` Get the value of a user property
`java.lang.String` | `getVerticalPosition()` Get the vertical position
`java.lang.String` | `getWidth()` Get the width of the element
`void` | `setHeight(java.lang.String height)` Set the height of the element
`void` | `setHorizontalPosition(java.lang.String position)` Set the horizontal position
`void` | `setUserPropertyValue(java.lang.String name, java.lang.Object value)` Set the value of a user property
`void` | `setVerticalPosition(java.lang.String position)` Set the vertical position
`void` | `setWidth(java.lang.String width)` Set the width of the element

Method Detail

### getStyle

    IScriptStyle getStyle()

  Get the style of this element

### getHorizontalPosition

    java.lang.String getHorizontalPosition()

  Get the horizontal position

### setHorizontalPosition

    void setHorizontalPosition(java.lang.String position)

  Set the horizontal position

### getVerticalPosition

    java.lang.String getVerticalPosition()

  Get the vertical position

### setVerticalPosition

    void setVerticalPosition(java.lang.String position)

  Set the vertical position

### getWidth

    java.lang.String getWidth()

  Get the width of the element

### setWidth

    void setWidth(java.lang.String width)

  Set the width of the element

### getHeight

    java.lang.String getHeight()

  Get the height of the element

### setHeight

    void setHeight(java.lang.String height)

  Set the height of the element

### getNamedExpressionValue

    java.lang.Object getNamedExpressionValue(java.lang.String name)

  Get the value of a named expression

### getUserPropertyValue

    java.lang.Object getUserPropertyValue(java.lang.String name)

  Get the value of a user property

### setUserPropertyValue

    void setUserPropertyValue(java.lang.String name,
                              java.lang.Object value)
                              throws ScriptException

  Set the value of a user property

  Throws:
    `ScriptException`

### getParent

    IReportElementInstance getParent()
                                     throws ScriptException

  Get the parent (container) of this element

  Throws:
    `ScriptException`
    `org.eclipse.birt.core.exception.BirtException`

### getRowData

    IRowData getRowData()
                        throws ScriptException

  Get the row data used to create the instance. The row data is defined by the column binding.

  Throws:
    `ScriptException`
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.